# Post production file sharing scenario

Imagine a team of people working on a feature film.
There are different departments such as the editors, sound designers, the team surrounding the director etc.
They all have different files such as the video rushes, the audio recordings done on set, the written script, etc.
How would we design a directory layout that accomodates the following restrictions?

* the director department has the following people
	* marie is the director of the movie
	* hugo is the first assistant of marie
	* victor is also an assistant of marie and in charge of the planning
	* camille does the script
* the video department has three editors working on the project
	* dave
	* sarah
	* ester
* the sound team is just two people 
	* adam
	* eefje
* one tech admin
	* alex

The director has full authority over the project and should be able to change every file possible, rename, delete, add, you name it.
The people on her team can watch and listen to the audio and video clips and have access to the scenario, and planning files.

The video department is the first in line and can upload and modify all video files.
Once they are done they make final renders which the audio team can read but not modify.
The audio team can upload and change the audio files and delivers a final audio render for video department to include in the actual movie.

As for the data there there where 15 shooting days which each about a 100 recordings, both audio and video.
The video files are all mp4 files and the audio files are wav files.
The scenario is just one big markdown file and the planning is a ics calendar file.

None of the people working on the movie have any idea how Linux works so they do not need shell access to the server, except for the tech admin.
Alex can ssh and pretty much anything to the files on the server, just in case somebody messes up something.

**Have a think about how to organise this before continueing below**

## How to tackle this situation

You should map out all users and groups needed before you start adding them.
Think before you act and try to look at the situation from all angles.
I would make a table to visualise the problem.

| user  | prod | video | audio |
|-------|------|-------|-------|
|marie  |	   |       |       |
|hugo   |      |       |       |
|victor |      |       |       |
|camille|      |       |       |
|dave   |      |       |       |
|sarah  |      |       |       |
|ester  |      |       |       |
|adam   |      |       |       |
|eefje  |      |       |       |
|alex   |      |       |       |


## A directory proposition

```bash
.
└── oneswellmovie
    ├── audio
    │   ├── day01
    │   │   ├── recording00.wav
    │   │   ├── more files...
    │   │   └── recording89.wav
    │   ├── day02
    │   ├── day03
    │   ├── day04
    │   ├── day05
    │   ├── day06
    │   ├── day07
    │   ├── day08
    │   ├── day09
    │   ├── day10
    │   ├── day11
    │   ├── day12
    │   ├── day13
    │   ├── day14
    │   └── day15
    ├── planning.ics
    ├── renders
    │   ├── final_render.mp4
    │   └── final_render.wav
    ├── scenario.md
    └── video
        ├── day01
        │   ├── clip00.mp4
        │   ├── more clips...
        │   └── clip84.mp4
        ├── day02
        ├── day03
        ├── day04
        ├── day05
        ├── day06
        ├── day07
        ├── day08
        ├── day09
        ├── day10
        ├── day11
        ├── day12
        ├── day13
        ├── day14
        └── day15
```

